v8.0
get
/ec-ors-svc/rest/v8.0/studies/{studyId}/{mode}/shipments
Searches for shipments associated with a study by study ID. Rights: OrsInventoryGet, OrsUnblinded, BlindedDepot.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B1B8327AFAA6412287106192AB5984EF
Query Parameters
-
depotShipment(required): boolean
Boolean value for looking for depot shipments.Example:
true -
destinationId(required): string(uuid)
String value for destination of shipment.Example:
B1B8327AFAA6412287106192AB5984EF -
limit: string
Maximum number of records to display per page.Default Value:
100Example:100 -
offset: string
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Default Value:
0Example:0 -
originId(required): string(uuid)
String value for origin of shipment.Example:
9B83BFB48C5A41C59775E4D8D22D8B26 -
recon(required): boolean
Boolean value for recon.Example:
false -
searchString(required): string
Search string.Example:
SHIP -
statusId(required): number
ID of the status.Example:
1 -
transactionId: string(uuid)
String value for transaction ID of shipment.Example:
C36A3197FDEE433FB5547EE83DE99E4B
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : ViewShipmentResponse v8.0
Type:
objectTitle:
ViewShipmentResponse v8.0Response containing shipment details.
Show Source
-
count: integer
(int32)
Minimum Value:
0Number of results in the current page.Example:25 -
hasMore: boolean
Indicates if there are more results beyond the current page.Example:
true -
limit: integer
(int32)
Minimum Value:
1Maximum Value:500Maximum number of records returned per page.Example:50 -
offset: integer
(int32)
Minimum Value:
0Index of the first record returned in the current page.Example:0 -
resultData: object
Shipments v8.0
Title:
Shipments v8.0Shipment details object including compounding kits. -
shipments: array
Shipments
Title:
ShipmentsList of shipments. -
totalResults: integer
(int32)
Minimum Value:
0Total number of results across all pages.Example:125
Nested Schema : Shipments v8.0
Type:
objectTitle:
Shipments v8.0Shipment details object including compounding kits.
Show Source
-
compoundingKits: boolean
Title:
Compounding KitsIndicates whether the order contains compounding kits.Example:true -
containsPooledkits: boolean
Title:
Contains Pooled KitsIndicates whether the shipment contains pooled kits.Example:true -
createdDate: string
(date-time)
Shipment creation date.
-
destinationId: string
(uuid)
Destination ID.
-
destinationName: string
Destination name.Example:
Site Houston -
destinationShortName: string
Destination short name.Example:
st_hstn -
formInstanceId: string
(uuid)
Title:
Form Instance IDForm instance identifier of non-subject forms. -
isDepotShipment: boolean
Depot shipment indicator.Example:
true -
orderType: string
Order type (Manual or Resupply).Example:
Manual -
originId: string
(uuid)
Origin ID.
-
originName: string
Origin name.Example:
Depot Houston -
originShortName: string
Origin short name.Example:
dpt_hstn -
quarantineKitCount: number
(Integer)
Number of kits in quarantine on the shipment.Example:
10 -
reconciliation: boolean
Indicates whether kit reconciliation is included.Example:
true -
reportId: string
(uuid)
Report ID.
-
shipDate: string
(date-time)
Ship date.
-
shipmentId: string
Shipment ID.Example:
B1B8327AFAA6412287106192AB5984EF -
shipmentNumber: string
Shipment number.Example:
123 -
shippingAddress: string
Title:
Shipping AddressPrimary or shipping address.Example:Depot Houston, Houston -
statusId: number
(Integer)
Shipment status ID.Example:
5 -
trackingNumber: string
Shipment tracking number.Example:
12345 -
trackingNumberURL: string
Tracking URL.Example:
http://www.site.com -
transactionId: string
(uuid)
Title:
Transaction IDTransaction identifier of shipments.
Example:
[
{
"ruleId":"8E2253D8E53A4A46BAE3E4952CBE9E5A"
}
]Nested Schema : Shipments
Type:
arrayTitle:
ShipmentsList of shipments.
Show Source
-
Array of:
object Shipments v8.0
Title:
Shipments v8.0Shipment details object including compounding kits.
Examples
404 Response
'Invalid study ID', 'Study still in design phase'
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples
500 Response
Internal server error
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples